<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

add_filter(
	'deploy_sync_content__routes',
	static function ( array $routes = array() ): array {
		$handle_route_callback = static function () {
			include_once DEPLOY_SYNC_CONTENT__PLUGIN_DIR . '/admin/partials/deploy-sync-content-admin-tracking-queue-progress.php';
		};

		$routes['tracking-queue-progress'] = [
			'id'                    => 'tracking-queue-progress',
			'label'                 => __( 'Tracking queue progress', 'deploy-sync-content' ),
			'handle_route_callback' => $handle_route_callback,
		];

		return $routes;
	},
	-10
);
